/* 
 * File:   DataContainers.h
 * Author: lubajz
 *
 * Created on 12. prosinec 2009, 12:40
 */

#ifndef _DATACONTAINERS_H
#define	_DATACONTAINERS_H

class MATRIX {
public:
    double ** data;
    int rows, cols;
    bool isEmpty;
    MATRIX(int, int);
    ~MATRIX();
    void printMatrix(void);
private:
};

class VECTOR {
public:
    double * data;
    int size;
    bool isEmpty;
    VECTOR(int);
    ~VECTOR();
    void printVector(void);
private:
};

class SCALAR {
public:
    double data;
    bool isEmpty;
    SCALAR(double);
    void printScalar(void);
};

#endif	/* _DATACONTAINERS_H */

